import { ElementRef, EventEmitter } from '@angular/core';
import * as i0 from "@angular/core";
export declare class QRCodeComponent {
    #private;
    allowEmptyString: import("@angular/core").InputSignalWithTransform<boolean, unknown>;
    colorDark: import("@angular/core").InputSignal<`#${string}`>;
    colorLight: import("@angular/core").InputSignal<`#${string}`>;
    cssClass: import("@angular/core").InputSignal<string>;
    elementType: import("@angular/core").InputSignal<import("dfx-qrcode").QRCodeElementType>;
    errorCorrectionLevel: import("@angular/core").InputSignal<import("dfts-qrcode").QRCodeErrorCorrectionLevel>;
    version: import("@angular/core").InputSignalWithTransform<number, unknown>;
    size: import("@angular/core").InputSignalWithTransform<number, unknown>;
    margin: import("@angular/core").InputSignalWithTransform<number, unknown>;
    imageSrc: import("@angular/core").InputSignal<string | undefined>;
    imageHeight: import("@angular/core").InputSignalWithTransform<number, unknown>;
    imageWidth: import("@angular/core").InputSignalWithTransform<number, unknown>;
    alt: import("@angular/core").InputSignal<string | undefined>;
    ariaLabel: import("@angular/core").InputSignal<string | undefined>;
    title: import("@angular/core").InputSignal<string | undefined>;
    data: import("@angular/core").InputSignal<string | null | undefined>;
    qrCodeDataUrl: EventEmitter<string>;
    set qrcElement(it: ElementRef);
    constructor();
    static ɵfac: i0.ɵɵFactoryDeclaration<QRCodeComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<QRCodeComponent, "qrcode", never, { "allowEmptyString": { "alias": "allowEmptyString"; "required": false; "isSignal": true; }; "colorDark": { "alias": "colorDark"; "required": false; "isSignal": true; }; "colorLight": { "alias": "colorLight"; "required": false; "isSignal": true; }; "cssClass": { "alias": "cssClass"; "required": false; "isSignal": true; }; "elementType": { "alias": "elementType"; "required": false; "isSignal": true; }; "errorCorrectionLevel": { "alias": "errorCorrectionLevel"; "required": false; "isSignal": true; }; "version": { "alias": "version"; "required": false; "isSignal": true; }; "size": { "alias": "size"; "required": false; "isSignal": true; }; "margin": { "alias": "margin"; "required": false; "isSignal": true; }; "imageSrc": { "alias": "imageSrc"; "required": false; "isSignal": true; }; "imageHeight": { "alias": "imageHeight"; "required": false; "isSignal": true; }; "imageWidth": { "alias": "imageWidth"; "required": false; "isSignal": true; }; "alt": { "alias": "alt"; "required": false; "isSignal": true; }; "ariaLabel": { "alias": "ariaLabel"; "required": false; "isSignal": true; }; "title": { "alias": "title"; "required": false; "isSignal": true; }; "data": { "alias": "data"; "required": false; "isSignal": true; }; }, { "qrCodeDataUrl": "qrCodeDataUrl"; }, never, never, true, never>;
}
